Returns true if the given string ends with the provided sequence.

```lua
string.endswith("haystack", "needle")
```

### Parameters ###

`haystack` is the string to check. `needle` is the ending sequence to check against.


### Return Value ###

True if haystack ends with needle.


### Availability ###

Premake 4.0 or later.


### See Also ###

* [string.startswith](string.startswith.md)
